Results 1 to 9 of 9

Thread: Failed update to PHP6

  1. #1
    Join Date
    Mar 2011
    Posts
    17

    Exclamation Failed update to PHP6

    I am trying to use custombuild 1.2 to update my server to PHP 6 and everything seems to have gone very wrong.

    I have hit a few errors I have fixed by rebuilding things like suphp with ./build suphp d but I am now stuck with:
    "Starting httpd: httpd: Syntax error on line 166 of /etc/httpd/conf/httpd.conf: Syntax error on line 2 of /etc/httpd/conf/extra/httpd-includes.conf: Cannot load /usr/lib/apache/mod_security2.so into server: /usr/lib/apache/mod_security2.so: undefined symbol: ap_log_error"

    I have tried:

    "./build update
    ./build apache
    ./build php d"

    How do I fix mod security?

  2. #2
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    How did you install mod_security? I suppose using update.script and i suppose you need to use that again to reinstall it.

    Should be in /usr/local/update.script

    Regards
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  3. #3
    Join Date
    Mar 2011
    Posts
    17
    I have managed to fix mod_security by reinstalling as above but I am now being hit by error after error from apache, I've been slowly adding modules but this one has me stumped. Any idea which modules I am missing?

    Code:
    Stopping httpd:                                            [FAILED]
    Starting httpd: [Mon May 07 14:42:22.523264 2012] [core:warn] [pid 30648:tid 3082909440] AH00117: Ignoring deprecated use of DefaultType in line 81 of /etc/httpd/conf/httpd.conf.
    AH00548: NameVirtualHost has no effect and will be removed in the next release /etc/httpd/conf/ips.conf:6
    AH00526: Syntax error on line 25 of /etc/httpd/conf/extra/httpd-dav.conf:
    Invalid command 'AuthType', perhaps misspelled or defined by a module not included in the server configuration
    Httpd.conf
    Code:
    LoadModule authz_core_module /usr/lib/apache/mod_authz_core.so
    LoadModule filter_module /usr/lib/apache/mod_filter.so
    LoadModule mime_module /usr/lib/apache/mod_mime.so
    LoadModule unixd_module /usr/lib/apache/mod_unixd.so
    LoadModule authz_host_module /usr/lib/apache/mod_authz_host.so
    LoadModule access_compat_module /usr/lib/apache/mod_access_compat.so
    LoadModule env_module /usr/lib/apache/mod_env.so
    LoadModule alias_module /usr/lib/apache/mod_alias.so
    LoadModule negotiation_module /usr/lib/apache/mod_negotiation.so
    LoadModule autoindex_module /usr/lib/apache/mod_autoindex.so
    LoadModule log_config_module /usr/lib/apache/mod_log_config.so
    LoadModule ssl_module /usr/lib/apache/mod_ssl.so
    LoadModule auth_basic_module /usr/lib/apache/mod_auth_basic.so
    LoadModule auth_digest_module /usr/lib/apache/mod_auth_digest.so
    LoadModule authn_file_module /usr/lib/apache/mod_authn_file.so
    LoadModule authz_user_module /usr/lib/apache/mod_authz_user.so
    LoadModule dav_module /usr/lib/apache/mod_dav.so
    LoadModule dav_fs_module /usr/lib/apache/mod_dav_fs.so
    LoadModule dav_lock_module /usr/lib/apache/mod_dav_lock.so

  4. #4
    Join Date
    Apr 2009
    Posts
    1,943
    To my understanding, PHP 6 does not exist. So no wonder you can't install it. Unless it was a typo?

  5. #5
    Join Date
    Mar 2011
    Posts
    17
    It is essentially just a rename as far as I am aware and custombuild allows installing it

  6. #6
    Join Date
    Apr 2009
    Posts
    1,943
    A rename of what?

    Where can I download php 6? (please provide link to php.net)

    To my knowledge it does not exist.

  7. #7
    Join Date
    Mar 2011
    Posts
    17
    root@tent:/etc/httpd/conf$ php -v
    PHP 6.0.0-dev (cli) (built: May 7 2012 11:36:15)
    Copyright (c) 1997-2007 The PHP Group
    Zend Engine v3.0.0-dev, Copyright (c) 1998-2007 Zend Technologies

  8. #8
    Join Date
    Jun 2003
    Location
    California
    Posts
    26,123
    It appears it's not even available in daily snapshots; check here (php.net) and here (smartwebdevelper.com).

    I don't know where it comes from, and personally I think it's too early to use it on a live server.

    Jeff
    +1 951 643-5345
    Third-Party DirectAdmin administration and support
    Dedicated Servers, Dedicated Reseller Accounts
    NoBaloney Internet Services div. Qnito Incorporated
    848 North Rainbow Blvd., Suite #3789
    Las Vegas, NV 89107-1103

  9. #9
    Hello,
    Code:
    Stopping httpd:                                            [FAILED]
    Starting httpd: [Mon May 07 14:42:22.523264 2012] [core:warn] [pid 30648:tid 3082909440] AH00117: Ignoring deprecated use of DefaultType in line 81 of /etc/httpd/conf/httpd.conf.
    AH00548: NameVirtualHost has no effect and will be removed in the next release /etc/httpd/conf/ips.conf:6
    AH00526: Syntax error on line 25 of /etc/httpd/conf/extra/httpd-dav.conf:
    Invalid command 'AuthType', perhaps misspelled or defined by a module not included in the server configuration
    1)
    Code:
    AH00548: NameVirtualHost has no effect and will be removed in the next release /etc/httpd/conf/ips.conf:6
    grab the pre-release binaries for DA then type:
    Code:
    echo "action=rewrite&value=ips" >> /usr/local/directadmin/data/task.queue
    as it has required changes for Apache 2.4.

    2)
    Code:
    Invalid command 'AuthType', perhaps misspelled or defined by a module not included in the server configuration
    This is one error I'm not familiar with.
    I can confirm that we are using AuthType with our Apache 2.4.2 test box, and it's working fine... which means there is something different with your Apache build that isn't liking it.

    Let us know the output of:
    Code:
    httpd -v
    httpd -l | grep mod_authn
    our looks like
    Code:
    [root@es6-64 ~]# httpd -v
    Server version: Apache/2.4.2 (Unix)
    Server built:   May  2 2012 14:28:11
    [root@es6-64 ~]# httpd -l | grep mod_authn
      mod_authn_file.c
      mod_authn_dbm.c
      mod_authn_anon.c
      mod_authn_dbd.c
      mod_authn_socache.c
      mod_authn_core.c
    where mod_authn_core.c is the module that sets up the AuthType setup.

    Our httpd.conf does not load each module... they're all compiled directly into the httpd binary.
    You may have different binaries and configs than ours, eg:
    Code:
    ./build apache
    ./build php n
    ./build rewrite_confs
    John

Similar Threads

  1. update from 1.35.1 to 1.36 failed
    By zhihao in forum DirectAdmin Version Updates
    Replies: 10
    Last Post: 07-13-2010, 08:26 AM
  2. proftpd update failed
    By bdj in forum General Technical Discussion & Troubleshooting
    Replies: 14
    Last Post: 10-09-2009, 10:41 AM
  3. License file update failed
    By jschurawlow in forum General Technical Discussion & Troubleshooting
    Replies: 6
    Last Post: 10-13-2008, 03:26 PM
  4. DNS Failed with automatic CentOS update
    By nobaloney in forum DNS
    Replies: 12
    Last Post: 10-15-2006, 02:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •